html{
 scroll-behavior: smooth;
}

/*上へボタンをつける*/
.top-button{
  position: fixed;
  right: 20px;
  bottom: 65px;
  width: 40px;
  height: 40px;
  background-color: rgba(155,155,155,0.6);
  color: #FFFFFF;
  text-decoration: none;
  text-align: center;
  line-height: 40px;
  border-radius: 25%;
  font-size: 20px;
}

.top-button:hover{
  background-color: rgba(66,66,66,0.6);
  color: #FFFFFF;
  text-decoration: none;
}

/*下へボタンをつける*/
.bottom-button{
  position: fixed;
  right: 20px;
  bottom: 20px;
  width: 40px;
  height: 40px;
  background-color: rgba(155,155,155,0.6);
  color: #FFFFFF;
  text-decoration: none;
  text-align: center;
  line-height: 40px;
  border-radius: 25%;
  font-size: 20px;
}

.bottom-button:hover{
  background-color: rgba(66,66,66,0.6);
  color: #FFFFFF;
  text-decoration: none;
}
/*ノーマルタイプのセルの装飾*/
td.normal{
    background: linear-gradient(to right,#FFFFFF,#AAAAAA);
    font-weight: bold;
}

/*ほのおタイプのセルの装飾*/
.honoo{
    background: linear-gradient(to right,#FFCCCC,#AA7777);
    font-weight: bold;
}

/*みずタイプのセルの装飾*/
.mizu{
    background: linear-gradient(to right,#BBEEFF,#6688AA);
    font-weight: bold;
}

/*くさタイプのセルの装飾*/
.kusa{
    background: linear-gradient(to right,#BBEEBB,#559955);
    font-weight: bold;
}

/*でんきタイプのセルの装飾*/
.denki{
    background: linear-gradient(to right,#FFFFBB,#CCBB44);
    font-weight: bold;
}

/*こおりタイプのセルの装飾*/
.koori{
    background: linear-gradient(to right,#DDFFFF,#88AAAA);
    font-weight: bold;
}

/*かくとうタイプのセルの装飾*/
.kakutou{
    background: linear-gradient(to right,#FFDDAA,#DD8866);
    font-weight: bold;
}

/*どくタイプのセルの装飾*/
.doku{
    background: linear-gradient(to right,#FFDDEE,#BB77AA);
    font-weight: bold;
}

/*じめんタイプのセルの装飾*/
.jimen{
    background: linear-gradient(to right,#FFEEBB,#AA8844);
    font-weight: bold;
}

/*ひこうタイプのセルの装飾*/
.hikou{
    background: linear-gradient(to right,#CCDDFF,#5599CC);
    background-color: #ACE;
    font-weight: bold;
}

/*エスパータイプのセルの装飾*/
.esper{
    background: linear-gradient(to right,#FFCCDD,#CC6688);
    font-weight: bold;
}

/*むしタイプのセルの装飾*/
.musi{
    background: linear-gradient(to right,#EEFFAA,#99AA44);
    font-weight: bold;
}

/*いわタイプのセルの装飾*/
.iwa{
    background: linear-gradient(to right,#FFDDCC,#BB8866);
    font-weight: bold;
}

/*ゴーストタイプのセルの装飾*/
.ghost{
    background: linear-gradient(to right,#FFDDFF,#AA77AA);
    font-weight: bold;
}

/*ドラゴンタイプのセルの装飾*/
.dragon{
    background: linear-gradient(to right,#AADDEE,#4488BB);
    font-weight: bold;
}

/*あくタイプのセルの装飾*/
.aku{
    background: linear-gradient(to right,#CCCCDD,#777799);
    font-weight: bold;
}

/*はがねタイプのセルの装飾*/
.hagane{
    background: linear-gradient(to right,#DDEEFF,#7799BB);
    font-weight: bold;
}

/*フェアリータイプのセルの装飾*/
.fairy{
    background: linear-gradient(to right,#FFDDDD,#DD88BB);
    font-weight: bold;
}

/*物理のセルの装飾*/
td.buturi{
    color: red;
    font-weight: bold;
}

/*特殊のセルの装飾*/
td.tokusyu{
    color: blue;
    font-weight: bold;
}

/*変化のセルの装飾*/
td.henka{
    font-weight: bold;
}

/*技一覧のテーブルに装飾*/
table.waza1 th,table.waza2 th {
    background: linear-gradient(to bottom,#115588,#2299FF);
}

/*特性一覧のテーブルに装飾*/
table.tokusei1 th,table.tokusei2 th  {
    background: linear-gradient(to bottom,#118833,#33CC44);
}

/*道具一覧のテーブルに装飾*/
table.dougu1 th,table.dougu2 th {
    background: linear-gradient(to bottom,#AA4444,#EE5555);
}